### Function

# Gck uri_parse

#### Declaration [src]

    GckUriData*
    gck_uri_parse (
      const gchar* string,
      GckUriFlags flags,
      GError** error
    )

#### Description [src]

Parse a PKCS#11 URI for use in a given context.

The result will contain the fields that are relevant for the given context. See `GckUriData` for more info. Other fields will be set to `NULL`.

#### Parameters

`string` | `const gchar*`
| The URI to parse.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `GckUriFlags`
| The context in which the URI will be used.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckUriData`
| A newly allocated `GckUriData`; which should be freed with `gck_uri_data_free()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.